package de.hendriklipka.pdfconv;

public interface LogHandler
{
    public void setFileName(String name);
    public void setFileCount(int files);
    public void setCurrentFile(int file);
    public void setPageCount(int pages);
    public void setCurrentPage(int page);
    public void printError(String msg);
    public void printWarn(String msg);
    public void printMessage(String msg);
    public void printVerbose(String msg);
    public void printDebug(String msg);
    public void endDocument();
    public void endDocuments();
}
